/** */
export class JsonSchemaControl extends HTMLElement {
    /** Set attribute changes to listen for */
    static get observedAttributes(): string[];
    /**
     * React to attribute changes
     * @param {string} name of the attribute that changed
     * @param {string} oldValue of the attribute that changed
     * @param {string} newValue of the attribute that changed
     */
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    /** @param {string} ref the JSON Pointer this control is using to access data */
    set ref(arg: string);
    /** @returns {string} the JSON Pointer this control is using to access data */
    get ref(): string;
    _ref: string;
    /** @param {import('../lib/models').JsonSchema} schema */
    set schema(arg: import("json-schema").JSONSchema7);
    /** @returns {import('../lib/models').JsonSchema} */
    get schema(): import("json-schema").JSONSchema7;
    _schema: import("json-schema").JSONSchema7;
    /** @inheritdoc */
    connectedCallback(): void;
    _requestedUpdate: boolean;
    /** @type {import("a-wc-form-layout/src/lib/models").ComponentTemplate} */
    layout: import("a-wc-form-layout/src/lib/models").ComponentTemplate;
    /** @private */
    private _initLayout;
    /** @protected */
    protected requestUpdate(): void;
    /** @inheritdoc */
    render(): void;
    /** @returns {import("a-wc-form-layout/src/lib/models").LayoutContext<import("a-wc-form-layout/src/lib/models").ComponentTemplate>} */
    get context(): import("a-wc-form-layout/src/lib/models").LayoutContext<import("a-wc-form-layout/src/lib/models").ComponentTemplate>;
}
