/** @typedef {import('../lib/models.js').JsonSchema} JsonSchema */
/** @typedef {import("a-wc-form-layout/src/lib/models").ComponentTemplate} ComponentTemplate */
/** @typedef {import("a-wc-form-layout/src/lib/models").PossibleValues} PossibleValues */
/**
 * @param {import("./models").JsonSchema} schema to generate uiSchema for
 * @param {string} [startRef='#'] JSON pointer string to use as a starting point. Use if we are generating uiSchema for only a part of the schema.
 * @returns {ComponentTemplate} for the schema passed in
 */
export function getLayout(schema: import("./models").JsonSchema, startRef?: string): ComponentTemplate;
/**
 * @param {import("./models").JsonSchema} schema to generate uiSchema for
 * @param {string} ref JSON pointer string to use as a starting point. Use if we are generating uiSchema for only a part of the schema.
 * @returns {boolean} if the schema field is required
 */
export function isRequired(schema: import("./models").JsonSchema, ref: string): boolean;
/**
 * Extracts the possible available values from a JSON Schema
 * @param {import("../lib/models").JsonSchema} schema
 * @return {PossibleValues}
 */
export function getPossibleValues(schema: import("../lib/models").JsonSchema): import("a-wc-form-layout/src/lib/models").PossibleValues;
export type JsonSchema = import('../lib/models.js').JsonSchema;
export type ComponentTemplate = import("a-wc-form-layout/src/lib/models").ComponentTemplate;
export type PossibleValues = import("a-wc-form-layout/src/lib/models").PossibleValues;
