export type JsonSchema = import("json-schema").JSONSchema7;
export type JsonSchemaTypeName = import("json-schema").JSONSchema7TypeName;
export type SchemaLayoutContext<TComponent> = import("a-wc-form-layout/src/lib/models").LayoutContext<TComponent> & {
    schema: JsonSchema;
};
export type JsonSchemaControlType = {
    template: 'JsonSchemaControl';
};
export type JsonSchemaControlValidation = {
    /**
     * for text based controls
     */
    minLength?: number;
    /**
     * for text based controls
     */
    maxLength?: number;
    /**
     * for number based controls
     */
    min?: number;
    /**
     * for number based controls
     */
    max?: number;
    /**
     * for number based controls
     */
    step?: number;
    /**
     * whether the control value is required
     */
    required?: boolean;
    /**
     * regular expression to validate text input values against
     */
    pattern?: string;
};
export type JsonSchemaControlProperties = {
    properties: {
        ref: string;
        schema: JsonSchema;
    };
};
export type JsonSchemaControl = JsonSchemaControlType & JsonSchemaControlProperties;
